@(loginForm: Form[XucUser],route : Call, loginTitle:String, image : String, agent:Boolean = true)(implicit lang: Lang)

@import helper._
@import play.i18n._
@implicitField = @{ FieldConstructor(views.html.constructors.LoginFormFieldConstructor.f) }

<div class="panel panel-info">
    <div class="panel-heading">@loginTitle</div>
    <div class="panel-body">
        <div class="row">
           <div class="col-sm-6 col-sm-offset-4">
            <img src="@image" alt="@Messages.get(lang,"login.image")" class="loginlogo img-rounded">
           </div>
        </div>
        <div class="row">
           <div class="col-sm-4 col-sm-offset-6">&nbsp;</div>
       </div>
        @form(route, 'class -> "loginForm", 'id -> "loginForm") {
           <div class="row">
                <div class="col-sm-10 col-sm-offset-1">
                   @inputText(field = loginForm("ctiUsername"),'placeholder -> Messages.get(lang,"login.userHolder"),'class -> "form-control")
                </div>
           </div>
           <div class="row">
               <div class="col-sm-10 col-sm-offset-1">
                   @inputPassword(field = loginForm("ctiPassword"),
                       'glyphicon -> "glyphicon-lock",
                       'placeholder -> Messages.get(lang,"login.passwordHolder"),'class -> "form-control")
               </div>
           </div>
           @if(agent) {
           <div class="row">
               <div class="col-sm-10 col-sm-offset-1">
                   @inputText(field = loginForm("phoneNumber"),
                       'glyphicon -> "glyphicon-phone-alt",
                       'placeholder -> Messages.get(lang,"login.phoneNumberHolder"),'class -> "form-control")
               </div>
           </div>
           }
           <div class="row">
               <div class="col-sm-6 col-sm-offset-5">
                   <div class="form-group">
                       <button class="form-control btn btn-primary"  type="submit" id="loginbutton">
                        <span class="glyphicon glyphicon-ok"></span>&nbsp;@Messages.get(lang,"login.button")
                       </button>
                   </div>
               </div>
          </div>
          @if(loginForm.hasGlobalErrors) {
            <div class="alert alert-danger">
                <p class="text-error">
                @for(validationError <- loginForm.globalErrors){
                    @validationError.message
                }
                </p>
            </div>
          }
        }
    </div>
</div>